local st = require "util.stanza";

local xmlns_cmd = "http://jabber.org/protocol/commands";

local _M = {};

function _cmdtag(desc, status, sessionid, action)
	local cmd = st.stanza("command", { xmlns = xmlns_cmd, node = desc.node, status = status });
	if sessionid then cmd.attr.sessionid = sessionid; end
	if action then cmd.attr.action = action; end

	return cmd;
end

function _M.new(name, node, handler)
	return { name = name, node = node, handler = handler, cmdtag = _cmdtag };
end

return _M;
